## org.apache.lucene.benchmark.utils
Class NoDeletionPolicy

    java.lang.Object
      org.apache.lucene.benchmark.utils.NoDeletionPolicy

All Implemented Interfaces:
  IndexDeletionPolicy

    public class NoDeletionPolicy

extends java.lang.Object
implements IndexDeletionPolicy

Constructor Summary
`NoDeletionPolicy()`

Method Summary
`void` `onCommit(java.util.List commits)` This is called each time the writer completed a commit.
`void` `onInit(java.util.List commits)` This is called once when a writer is first instantiated to give the policy a chance to remove old commit points.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoDeletionPolicy

    public NoDeletionPolicy()

Method Detail

### onCommit

    public void onCommit(java.util.List commits)
                  throws java.io.IOException

  Description copied from interface: `IndexDeletionPolicy`

  This is called each time the writer completed a commit. This gives the policy a chance to remove old commit points with each commit.

  The policy may now choose to delete old commit points by calling method `delete()` of `IndexCommit`.

  If writer has `autoCommit = true` then this method will in general be called many times during one instance of `IndexWriter`. If `autoCommit = false` then this method is only called once when `IndexWriter.close()` is called, or not at all if the `IndexWriter.abort()` is called.

  Note: the last CommitPoint is the most recent one, i.e. the "front index state". Be careful not to delete it, unless you know for sure what you are doing, and unless you can afford to lose the index content while doing that.

  Specified by:
    `onCommit` in interface `IndexDeletionPolicy`
  Parameters:
    `commits` - List of `IndexCommit`, sorted by age (the 0th one is the oldest commit).
  Throws:
    `java.io.IOException`

### onInit

    public void onInit(java.util.List commits)
                throws java.io.IOException

  Description copied from interface: `IndexDeletionPolicy`

  This is called once when a writer is first instantiated to give the policy a chance to remove old commit points.

  The writer locates all index commits present in the index directory and calls this method. The policy may choose to delete some of the commit points, doing so by calling method `delete()` of `IndexCommit`.

  Note: the last CommitPoint is the most recent one, i.e. the "front index state". Be careful not to delete it, unless you know for sure what you are doing, and unless you can afford to lose the index content while doing that.

  Specified by:
    `onInit` in interface `IndexDeletionPolicy`
  Parameters:
    `commits` - List of current `point-in-time commits`, sorted by age (the 0th one is the oldest commit).
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.